hswaw - Bugless #24

registry: make distributed
02/13/2021 07:31 PM - g3k

Status: New
Priority: Normal
Assignee:

Category: hscloud
Description

Currently the registry and registry's auth service run on some off the shelf ceph PVC-backed service:
https://cs.hackerspace.pl/hscloud/-/blob/cluster/kube/lib/reqgistry.libsonnet

We make an alternative registry that would store image metadata on crdb, and even consider storing registry image blobs there, too
(or on some local volumes).

This would let us run the registry (and thus a bunch of custom images) even if Ceph (and/or radosgw) is having issues.

History

#1 - 02/13/2021 07:32 PM - q3k

- Description updated

#2 - 02/13/2021 07:33 PM - q3k

- Description updated

#3 - 02/13/2021 07:33 PM - q3k

- Description updated

#4 - 07/04/2022 01:08 PM - q3k

- Category set to hscloud
